Skip to content

List Dashboard Layouts.

GET
/api/web/custom/namespaces/system/dashboards/{dashboard_id}/layouts
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/system/dashboards/example/layouts \
--header 'Authorization: <Authorization>'

List returns all dashboard layouts created by the user.

Examples of this operation.

dashboard_id
required
string

DashboardId

x-required DashboardId is the unique ID for each dashboard types, the preset unique ID is defined in stellar code.

A successful response.

Media typeapplication/json
ListDashboardLayoutResponse

ListDashboardLayoutResponse returns the name and description of the dashboard layouts created by the user.

object
layout_list
LayoutList

LayoutList lists information about dashboards created by the user.

Array<object>
LayoutListItem

LayoutListItem contains the name, description, and selection status of the dashboard layout.

object
description
Description

Description describes the dashboard layout.

string
>= 21 characters <= 1024 characters
is_selected
IsSelected

IsSelected indicates whether the current layout is the default selected by the user.

boolean format: boolean
layout_name
LayoutName

LayoutName is the name of the dashboard layout.

string
>= 1 characters <= 256 characters
Examplegenerated
{
"layout_list": [
{
"description": "example",
"is_selected": true,
"layout_name": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example